#
# spec file for package ecawave (Version 0.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel ecasound ecasound-devel freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ecasound ecasound-devel file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         ecawave
Summary:      A graphical audio file editor
Version:      0.4.0
Release:      73
Group: X11/Applications/Sound
Copyright: GPL
Requires: ecasound >= 2.0.0
Requires: mpg123
URL: http://ecasound.seul.org/
BuildRoot: /tmp/%{name}-%{version}-root
Source: %{name}-%{version}.tar.bz2

%description
Ecawave is a simple graphical audio file editor with Qt GUI.
It is linked with ecasound library, so that almost all audio functionality
of ecasound is available.

Authors:
--------
    Kai Vehmanen <kaiv@wakkanet.fi>

SuSE series: snd

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS" \
QTDIR=/usr/lib/qt2 \
./configure --prefix=%{_prefix} --disable-static --with-qt-dir=/usr/lib/qt2
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" mandir=%{_mandir} install-strip
# normal check for compressed man pages:

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc NEWS README INSTALL Documentation
%doc %{_mandir}/*
%{_bindir}/ecawave

%changelog -n ecawave
* Thu Jul 12 2001 - tiwai@suse.de
- updated to 0.4.0.
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Jan 30 2001 - tiwai@suse.de
- Initial version: 0.3.3d3
